# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/touchscreen/melfas,mip4_ts.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MELFAS MIP4 Touchscreen

maintainers:
  - Ariel D'Alessandro <ariel.dalessandro@collabora.com>

properties:
  compatible:
    const: melfas,mip4_ts

  reg:
    description: I2C address of the chip (0x48 or 0x34)
    maxItems: 1

  interrupts:
    maxItems: 1

  ce-gpios:
    description:
      GPIO connected to the CE (chip enable) pin of the chip (active high)
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@34 {
            compatible = "melfas,mip4_ts";
            reg = <0x34>;

            interrupts-extended = <&tlmm 13 IRQ_TYPE_EDGE_FALLING>;
            ce-gpios = <&tlmm 12 GPIO_ACTIVE_HIGH>;

            pinctrl-0 = <&touchscreen_default>;
            pinctrl-names = "default";
        };
    };

...
